View Issue Details

IDProjectCategoryView StatusLast Update
0000055Silver Monkey[All Projects] Bug Reportspublic2018-01-11 22:28
ReporterWolfina 
Assigned Togerolkae 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx64OSWindowsOS Version10
Product Version2.18.392.807 
Target Version2.19.x.Fixed in Version2.19.148.706 (Pre-Alpa 5) 
Summary0000055: Cannot move bot with MS
DescriptionI have tried both

(5:625) Move the bot in this sequence {} (one, sw, three, se, seven, nw, nine, or ne)
and
(5:613) move the bot in direction # one space. (seven = North-West, nine = North-East, three = South-East, one = South=West)

I was trying to move the bot NE three spaces, i tried on the sequence, ne, 9, nine none of which did anything
the latter when i put 9 it produced an error in the debug menu, saying that i needed to put a number, 1, 3, 7, or 9.. but i put 9.

Steps To ReproduceCode bot to move with the following line
(5:625) Move the bot in this sequence {} (one, sw, three, se, seven, nw, nine, or ne)
or
(5:613) move the bot in direction # one space. (seven = North-West, nine = North-East, three = South-East, one = South=West)
Additional Information(0:6) When someone says {Battle Time},
(5:0) say {OK I'll meet you there!}.
(5:0) say {Battle}.
(5:300) create timer 1 to go off every 3 second(s).

(0:300) When timer 1 goes off,
(5:625) Move the bot in this sequence {9} (one, sw, three, se, seven, nw, nine, or ne)
(5:615) turn the bot counter-clockwise one space.
(5:0) say {!hop1}.
(5:622) make the bot sit down.
(5:615) turn the bot counter-clockwise one space.
(5:101) set variable %baton to 1.
(5:300) create timer 2 to go off every 1 second(s).

(0:300) When timer 2 goes off,
(1:633) and the furre named {Pokeworld} moved into/is standing at (24,152),
(5:0) say {OK All ready to go! Please tell me who's playing by saying: [Player 1] or [Player 2]}.
(5:301) stop timer 1.
(5:301) stop timer 2.


The entire MS I used that refused to work properly, incase it is something else i programmed not working right.

Note: Pokeworld is the bot.
TagsMonkey Speak, No Ship

Relationships

Activities

gerolkae

2017-05-17 21:05

administrator   ~0000383

Movement stuff is untested.
This is now mafked for v 2.19.x

Issue History

Date Modified Username Field Change
2017-05-17 20:58 Wolfina New Issue
2017-05-17 21:03 gerolkae Assigned To => gerolkae
2017-05-17 21:03 gerolkae Status new => assigned
2017-05-17 21:04 gerolkae Tag Attached: Monkey Speak
2017-05-17 21:04 gerolkae Tag Attached: No Ship
2017-05-17 21:05 gerolkae Status assigned => acknowledged
2017-05-17 21:05 gerolkae Note Added: 0000383
2017-05-17 21:05 gerolkae Target Version => 2.19.x.
2017-05-17 21:05 gerolkae Additional Information Updated View Revisions
2017-06-28 21:32 gerolkae Status acknowledged => resolved
2017-06-28 21:32 gerolkae Resolution open => fixed
2017-06-28 21:32 gerolkae Fixed in Version => 2.19.148.706 (Pre-Alpa 5)
2018-01-11 22:28 gerolkae Status resolved => closed